POST /deploy/production/promote
Promote a preview to production
Scope deploy:create. Write: live key required (403 deploy_production_live_key_required with a test key). Served only when Galon Deploy is open to the account (404 otherwise). Errors {"detail": {"code"}}.
API key (Bearer), on the public API endpoint.
Request body
application/json
| Field | Type | Description |
|---|---|---|
journey_id | string · required |
Responses
| Status | Description | Body |
|---|---|---|
200 | Release promoted | object |
404 | deploy_production_journey_not_found | Error |
401 | Key missing or invalid | Error |
Examples
curl
curl -X POST "$GALON_API_BASE/deploy/production/promote" \
-H "Authorization: Bearer $GALON_API_KEY" \
-H "Content-Type: application/json" \
-d '{"journey_id": "djy_..."}'Node.js (SDK)
import { Galon } from "galon";
const galon = new Galon(process.env.GALON_API_KEY);
const result = await galon.production.promote({"journey_id": "djy_..."});Python (SDK)
from galon import Galon
galon = Galon() # reads GALON_API_KEY
result = galon.production.promote({"journey_id": "djy_..."})